%global         debug_package %{nil}
%global         build_timestamp %{lua: print(os.date("%Y%m%d"))}
%global         branch trunk
%global         strip /bin/true

Name:           libdragon
Version:        %{branch}
Release:        %{build_timestamp}%{?dist}
Summary:        Open source library for N64 development.

License:        Unlicense
URL:            https://github.com/DragonMinded/libdragon
Source0:        https://github.com/DragonMinded/libdragon/archive/refs/heads/%{branch}.tar.gz#/%{name}-%{version}-%{build_timestamp}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libpng-devel
BuildRequires:  gcc-mips64-elf
BuildRequires:  gcc-c++-mips64-elf
BuildRequires:  newlib-mips64-elf

%global         optflags -O2 -flto=auto -fexceptions -g -grecord-gcc-switches -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS
%global         build_ldflags -Wl,-z,relro

%description
Libdragon is an open-source SDK for Nintendo 64.
It aims for a complete N64 programming experience while
providing programmers with modern approach to programming
and debugging.

%prep
%autosetup

%build
%make_build
%make_build tools

%install
mkdir -p \
    %{buildroot}%{_bindir} \
    %{buildroot}%{_includedir} \
    %{buildroot}%{_prefix}/mips64-elf/lib \
    %{buildroot}%{_prefix}/mips64-elf/include \

%make_install N64_INST=%{buildroot}%{_prefix}
%make_install -C tools N64_INST=%{buildroot}%{_prefix}

%files
%license LICENSE.md
%{_bindir}/audioconv64
%{_bindir}/dumpdfs
%{_bindir}/ed64romconfig
%{_bindir}/mkdfs
%{_bindir}/mksprite
%{_bindir}/n64tool
%{_bindir}/n64sym
%{_bindir}/n64dso
%{_bindir}/n64dso-extern
%{_bindir}/n64dso-msym
%{_bindir}/n64elfcompress
%{_bindir}/mkasset
%{_includedir}/n64.mk
%{_prefix}/mips64-elf/include/
%{_prefix}/mips64-elf/lib/

